# frozen_string_literal: true

class Api::V1::InvitesController < Api::BaseController

  before_action -> { doorkeeper_authorize! :write, :'write:accounts' }
  before_action :require_user!

  respond_to :json

  def create
    @invite      = Invite.new(max_uses: 1)
    @invite.user = current_user
    @invite.save!

    render json: @invite, serializer: REST::InviteSerializer
  end

end
